Skip to main content
PUT
/
v2
/
objects
/
users
/
records
Assert a user record
curl --request PUT \
  --url https://api.attio.com/v2/objects/users/records \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "values": {
      "user_id": "123",
      "primary_email_address": "person@company.com",
      "person": {
        "target_object": "people",
        "target_record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d"
      },
      "workspace": [
        {
          "target_object": "workspaces",
          "target_record_id": "72ef5feaf-4919-4208-b332-1339ab8ba040"
        }
      ]
    }
  }
}
'
{
  "data": {
    "id": {
      "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
      "object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
      "record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b"
    },
    "created_at": "2022-11-21T13:22:49.061281000Z",
    "web_url": "https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b",
    "values": {
      "person": [
        {
          "active_from": "2023-01-01T15:00:00.000000000Z",
          "active_until": null,
          "created_by_actor": {
            "type": "system",
            "id": null
          },
          "target_object": "people",
          "target_record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d",
          "attribute_type": "record-reference"
        }
      ],
      "primary_email_address": [
        {
          "active_from": "2023-01-01T15:00:00.000000000Z",
          "active_until": null,
          "created_by_actor": {
            "type": "system",
            "id": null
          },
          "original_email_address": "person@company.com",
          "email_address": "person@company.com",
          "email_domain": "company.com",
          "email_root_domain": "company.com",
          "email_local_specifier": "person",
          "attribute_type": "email-address"
        }
      ],
      "user_id": [
        {
          "active_from": "2023-01-01T15:00:00.000000000Z",
          "active_until": null,
          "created_by_actor": {
            "type": "system",
            "id": null
          },
          "value": "123",
          "attribute_type": "text"
        }
      ],
      "workspace": [
        {
          "active_from": "2023-01-01T15:00:00.000000000Z",
          "active_until": null,
          "created_by_actor": {
            "type": "system",
            "id": null
          },
          "target_object": "workspaces",
          "target_record_id": "72ef5feaf-4919-4208-b332-1339ab8ba040",
          "attribute_type": "record-reference"
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.attio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Query Parameters

matching_attribute
string
required

The ID or slug of the attribute to use to check if a user already exists. The attribute must be unique. For user records, you can use primary_email_address or user_id, or any additional custom attribute with a unique constraint.

Example:

"primary_email_address"

Body

application/json
data
object
required

Response

Success

Success

data
object
required